Debian Bug report logs - #633864
libgtk2.0-0: gnome-panel unusable (Very high cpu usage and it doesn't appear)

version graph

Package: libgtk2.0-0; Maintainer for libgtk2.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libgtk2.0-0 is src:gtk+2.0.

Reported by: Domenico Cufalo <cufalo@gmail.com>

Date: Thu, 14 Jul 2011 14:30:01 UTC

Severity: serious

Merged with 632904, 632985, 633573, 633607

Found in versions gtk+2.0/2.24.5-1, gtk+2.0/2.24.5-2

Fixed in version gtk+2.0/2.24.5-3

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Thu, 14 Jul 2011 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Domenico Cufalo <cufalo@gmail.com>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. (Thu, 14 Jul 2011 14:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Domenico Cufalo <cufalo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgtk2.0-0: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Thu, 14 Jul 2011 16:09:44 +0200
Package: libgtk2.0-0
Version: 2.24.5-1
Severity: normal

I use very rarely gnome and so I realized the problem only today, but it is a
problem at least was born July 7, as evidenced by these bugs:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633607
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632904
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633573
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632985

However it is not, I think, a problem of gnome-panel, as is clear from this:
$ gnome-panel --replace
(gnome-panel:15635): Gdk-WARNING **:
/tmp/buildd/gtk+2.0-2.24.5/gdk/x11/gdkdrawable-x11.c:952 drawable is not a
pixmap or window

In fact, on July 7 there were these updates:
[AGGIORNATO] gir1.2-gtk-2.0 2.24.4-3 -> 2.24.5-1
[AGGIORNATO] gtk2-engines-pixbuf 2.24.4-3 -> 2.24.5-1
[AGGIORNATO] libgtk2.0-0 2.24.4-3 -> 2.24.5-1
[AGGIORNATO] libgtk2.0-bin 2.24.4-3 -> 2.24.5-1
[AGGIORNATO] libgtk2.0-common 2.24.4-3 -> 2.24.5-1

Hi and thanks for your attention,
Doc



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=it_IT.utf8, LC_CTYPE=it_IT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgtk2.0-0 depends on:
ii  libatk1.0-0        2.0.1-2               ATK accessibility toolkit
ii  libc6              2.13-10               Embedded GNU C Library: Shared lib
ii  libcairo2          1.10.2-6              The Cairo 2D vector graphics libra
ii  libcomerr2         1.42~WIP-2011-07-02-1 common error description library
ii  libcups2           1.4.6-11+b1           Common UNIX Printing System(tm) - 
ii  libfontconfig1     2.8.0-3               generic font configuration library
ii  libfreetype6       2.4.4-2               FreeType 2 font engine, shared lib
ii  libgcrypt11        1.4.6-7               LGPL Crypto library - runtime libr
ii  libgdk-pixbuf2.0-0 2.23.5-1              GDK Pixbuf library
ii  libglib2.0-0       2.28.6-1              The GLib library of C routines
ii  libgnutls26        2.10.5-2              the GNU TLS library - runtime libr
ii  libgssapi-krb5-2   1.9.1+dfsg-1          MIT Kerberos runtime libraries - k
ii  libgtk2.0-common   2.24.5-1              common files for the GTK+ graphica
ii  libk5crypto3       1.9.1+dfsg-1          MIT Kerberos runtime libraries - C
ii  libkrb5-3          1.9.1+dfsg-1          MIT Kerberos runtime libraries
ii  libpango1.0-0      1.28.4-1              Layout and rendering of internatio
ii  libx11-6           2:1.4.3-2             X11 client-side library
ii  libxcomposite1     1:0.4.3-2             X11 Composite extension library
ii  libxcursor1        1:1.1.12-1            X cursor management library
ii  libxdamage1        1:1.1.3-2             X11 damaged region extension libra
ii  libxext6           2:1.3.0-3             X11 miscellaneous extension librar
ii  libxfixes3         1:5.0-4               X11 miscellaneous 'fixes' extensio
ii  libxi6             2:1.4.3-3             X11 Input extension library
ii  libxinerama1       2:1.1.1-3             X11 Xinerama extension library
ii  libxrandr2         2:1.3.2-2             X11 RandR extension library
ii  libxrender1        1:0.9.6-2             X Rendering Extension client libra
ii  shared-mime-info   0.90-1                FreeDesktop.org shared MIME databa
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages libgtk2.0-0 recommends:
ii  hicolor-icon-theme            0.12-1     default fallback theme for FreeDes
ii  libgtk2.0-bin                 2.24.5-1   programs for the GTK+ graphical us

Versions of packages libgtk2.0-0 suggests:
ii  gvfs                          1.6.4-3    userspace virtual filesystem - ser
ii  librsvg2-common               2.34.0-1   SAX-based renderer library for SVG

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Thu, 14 Jul 2011 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Thu, 14 Jul 2011 14:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 633864@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Domenico Cufalo <cufalo@gmail.com>, 633864@bugs.debian.org
Subject: Re: Bug#633864: libgtk2.0-0: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Thu, 14 Jul 2011 16:41:26 +0200
[Message part 1 (text/plain, inline)]
Am 14.07.2011 16:09, schrieb Domenico Cufalo:

> 
> However it is not, I think, a problem of gnome-panel, as is clear from this:
> $ gnome-panel --replace
> (gnome-panel:15635): Gdk-WARNING **:
> /tmp/buildd/gtk+2.0-2.24.5/gdk/x11/gdkdrawable-x11.c:952 drawable is not a
> pixmap or window
> 
> In fact, on July 7 there were these updates:
> [AGGIORNATO] gir1.2-gtk-2.0 2.24.4-3 -> 2.24.5-1
> [AGGIORNATO] gtk2-engines-pixbuf 2.24.4-3 -> 2.24.5-1
> [AGGIORNATO] libgtk2.0-0 2.24.4-3 -> 2.24.5-1
> [AGGIORNATO] libgtk2.0-bin 2.24.4-3 -> 2.24.5-1
> [AGGIORNATO] libgtk2.0-common 2.24.4-3 -> 2.24.5-1
> 
> Hi and thanks for your attention,

Can you revert to the version from testing and confirm that it fixes your high
CPU usage?


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Thu, 14 Jul 2011 16:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Domenico Cufalo <cufalo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Thu, 14 Jul 2011 16:39:12 GMT) Full text and rfc822 format available.

Message #15 received at 633864@bugs.debian.org (full text, mbox):

From: Domenico Cufalo <cufalo@gmail.com>
To: Debian Bug Tracking System <633864@bugs.debian.org>
Subject: Re: gnome-panel unusable
Date: Thu, 14 Jul 2011 18:38:06 +0200
Package: libgtk2.0-0
Version: 2.24.5-2
Followup-For: Bug #633864

I'm sorry, but the downgrade is now too complicated, after all these days.
However, if you consider it necessary, I can try to arm myself with patience!

The problem persists even after the latest update.
I hope to have at least identified the real cause of the bug.

Ciao and thank you very much.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=it_IT.utf8, LC_CTYPE=it_IT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgtk2.0-0 depends on:
ii  libatk1.0-0        2.0.1-2               ATK accessibility toolkit
ii  libc6              2.13-10               Embedded GNU C Library: Shared lib
ii  libcairo2          1.10.2-6              The Cairo 2D vector graphics libra
ii  libcomerr2         1.42~WIP-2011-07-02-1 common error description library
ii  libcups2           1.4.7-1               Common UNIX Printing System(tm) - 
ii  libfontconfig1     2.8.0-3               generic font configuration library
ii  libfreetype6       2.4.4-2               FreeType 2 font engine, shared lib
ii  libgcrypt11        1.4.6-7               LGPL Crypto library - runtime libr
ii  libgdk-pixbuf2.0-0 2.23.5-1              GDK Pixbuf library
ii  libglib2.0-0       2.28.6-1              The GLib library of C routines
ii  libgnutls26        2.10.5-2              the GNU TLS library - runtime libr
ii  libgssapi-krb5-2   1.9.1+dfsg-1          MIT Kerberos runtime libraries - k
ii  libgtk2.0-common   2.24.5-2              common files for the GTK+ graphica
ii  libk5crypto3       1.9.1+dfsg-1          MIT Kerberos runtime libraries - C
ii  libkrb5-3          1.9.1+dfsg-1          MIT Kerberos runtime libraries
ii  libpango1.0-0      1.28.4-1              Layout and rendering of internatio
ii  libx11-6           2:1.4.3-2             X11 client-side library
ii  libxcomposite1     1:0.4.3-2             X11 Composite extension library
ii  libxcursor1        1:1.1.12-1            X cursor management library
ii  libxdamage1        1:1.1.3-2             X11 damaged region extension libra
ii  libxext6           2:1.3.0-3             X11 miscellaneous extension librar
ii  libxfixes3         1:5.0-4               X11 miscellaneous 'fixes' extensio
ii  libxi6             2:1.4.3-3             X11 Input extension library
ii  libxinerama1       2:1.1.1-3             X11 Xinerama extension library
ii  libxrandr2         2:1.3.2-2             X11 RandR extension library
ii  libxrender1        1:0.9.6-2             X Rendering Extension client libra
ii  shared-mime-info   0.90-1                FreeDesktop.org shared MIME databa
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages libgtk2.0-0 recommends:
ii  hicolor-icon-theme            0.12-1     default fallback theme for FreeDes
ii  libgtk2.0-bin                 2.24.5-2   programs for the GTK+ graphical us

Versions of packages libgtk2.0-0 suggests:
ii  gvfs                          1.6.4-3    userspace virtual filesystem - ser
ii  librsvg2-common               2.34.0-1   SAX-based renderer library for SVG

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Fri, 15 Jul 2011 03:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 15 Jul 2011 03:27:07 GMT) Full text and rfc822 format available.

Message #20 received at 633864@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: Debian Bug Tracking System <633864@bugs.debian.org>
Subject: Re: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Fri, 15 Jul 2011 10:22:04 +0700
Package: libgtk2.0-0
Version: 2.24.5-2
Followup-For: Bug #633864


I also saw this bug in the recent upgrade from 2.24.4-3 to 2.24.5-2.
Downgrading back does solve the problem.

No strange messages in ~/.xsession-errors. Just high CPU usage on
Xorg process. gnome-panel and applet processes are already started.
They just don't appear on the screen.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgtk2.0-0 depends on:
ii  libatk1.0-0        2.0.1-2               ATK accessibility toolkit
ii  libc6              2.13-10               Embedded GNU C Library: Shared lib
ii  libcairo2          1.10.2-6              The Cairo 2D vector graphics libra
ii  libcomerr2         1.42~WIP-2011-07-02-1 common error description library
ii  libcups2           1.4.7-1               Common UNIX Printing System(tm) - 
ii  libfontconfig1     2.8.0-3               generic font configuration library
ii  libfreetype6       2.4.4-2               FreeType 2 font engine, shared lib
ii  libgcrypt11        1.4.6-7               LGPL Crypto library - runtime libr
ii  libgdk-pixbuf2.0-0 2.23.5-1              GDK Pixbuf library
ii  libglib2.0-0       2.28.6-1              The GLib library of C routines
ii  libgnutls26        2.10.5-2              the GNU TLS library - runtime libr
ii  libgssapi-krb5-2   1.9.1+dfsg-1+b1       MIT Kerberos runtime libraries - k
ii  libgtk2.0-common   2.24.5-2              common files for the GTK+ graphica
ii  libk5crypto3       1.9.1+dfsg-1+b1       MIT Kerberos runtime libraries - C
ii  libkrb5-3          1.9.1+dfsg-1+b1       MIT Kerberos runtime libraries
ii  libpango1.0-0      1.28.4-1              Layout and rendering of internatio
ii  libx11-6           2:1.4.3-2             X11 client-side library
ii  libxcomposite1     1:0.4.3-2             X11 Composite extension library
ii  libxcursor1        1:1.1.12-1            X cursor management library
ii  libxdamage1        1:1.1.3-2             X11 damaged region extension libra
ii  libxext6           2:1.3.0-3             X11 miscellaneous extension librar
ii  libxfixes3         1:5.0-4               X11 miscellaneous 'fixes' extensio
ii  libxi6             2:1.4.3-3             X11 Input extension library
ii  libxinerama1       2:1.1.1-3             X11 Xinerama extension library
ii  libxrandr2         2:1.3.2-2             X11 RandR extension library
ii  libxrender1        1:0.9.6-2             X Rendering Extension client libra
ii  shared-mime-info   0.90-1                FreeDesktop.org shared MIME databa
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages libgtk2.0-0 recommends:
ii  hicolor-icon-theme            0.12-1     default fallback theme for FreeDes
ii  libgtk2.0-bin                 2.24.5-2   programs for the GTK+ graphical us

Versions of packages libgtk2.0-0 suggests:
ii  gvfs                          1.6.4-3    userspace virtual filesystem - ser
ii  librsvg2-common               2.34.0-1   SAX-based renderer library for SVG

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Fri, 15 Jul 2011 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 15 Jul 2011 07:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 633864@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Theppitak Karoonboonyanan <thep@linux.thai.net>, 633864@bugs.debian.org, Domenico Cufalo <cufalo@gmail.com>
Subject: Re: Bug#633864: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Fri, 15 Jul 2011 08:57:34 +0200
[Message part 1 (text/plain, inline)]
Am 15.07.2011 05:22, schrieb Theppitak Karoonboonyanan:
> Package: libgtk2.0-0
> Version: 2.24.5-2
> Followup-For: Bug #633864
> 
> 
> I also saw this bug in the recent upgrade from 2.24.4-3 to 2.24.5-2.
> Downgrading back does solve the problem.
> 
> No strange messages in ~/.xsession-errors. Just high CPU usage on
> Xorg process. gnome-panel and applet processes are already started.
> They just don't appear on the screen.
> 

I suspect it is this related to this change:
http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=254b9a4c540e3dff1dcd17db2ceea6a9fa5df973

Does anyone want to try and test gtk with this patch reverted?

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Fri, 15 Jul 2011 10:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@linux.thai.net>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 15 Jul 2011 10:39:11 GMT) Full text and rfc822 format available.

Message #30 received at 633864@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@linux.thai.net>
To: Michael Biebl <biebl@debian.org>
Cc: 633864@bugs.debian.org, Domenico Cufalo <cufalo@gmail.com>
Subject: Re: Bug#633864: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Fri, 15 Jul 2011 17:36:10 +0700
On Fri, Jul 15, 2011 at 1:57 PM, Michael Biebl <biebl@debian.org> wrote:

> I suspect it is this related to this change:
> http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=254b9a4c540e3dff1dcd17db2ceea6a9fa5df973
>
> Does anyone want to try and test gtk with this patch reverted?

Yes, I've tried it. And it works!

Regards,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Fri, 15 Jul 2011 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Harland <jasoninpittsburgh@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Fri, 15 Jul 2011 19:48:03 GMT) Full text and rfc822 format available.

Message #35 received at 633864@bugs.debian.org (full text, mbox):

From: Jason Harland <jasoninpittsburgh@gmail.com>
To: 633864@bugs.debian.org
Subject: severity should be raised.
Date: Fri, 15 Jul 2011 15:45:26 -0400
[Message part 1 (text/plain, inline)]
I'm also affected by gnome-panel never showing up.  Others on the Linux Mint
Forums report the same issue:
http://forums.linuxmint.com/viewtopic.php?f=141&t=70230&p=449031#p449031

The severity of this bug needs to be raised as it makes Gnome unusable.
notification/systray is on the panel (inability to get to things like
network manager, CCSM, laptop battery monitor, etc)
menus depend on the panel (Gnome unlike other DEs doesn't utilize
right-click-the-desktop menus).  Applications can only be launched by
ALT-F2, and whatever shortcuts happen to be on the desktop.

The current workaround is to "use another Desktop Environment", which seems
to warrant this bug having a higher priority than "normal"
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Sat, 16 Jul 2011 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Harvey <andrew.harvey4@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sat, 16 Jul 2011 01:30:03 GMT) Full text and rfc822 format available.

Message #40 received at 633864@bugs.debian.org (full text, mbox):

From: Andrew Harvey <andrew.harvey4@gmail.com>
To: 633864@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#633864: gnome-panel unusable (Very high cpu usage and it doesn't appear)
Date: Sat, 16 Jul 2011 11:24:39 +1000
On Fri, 15 Jul 2011 17:36:10 +0700, Theppitak Karoonboonyanan
<thep@linux.thai.net> wrote:
>On Fri, Jul 15, 2011 at 1:57 PM, Michael Biebl <biebl@debian.org> wrote:
>> I suspect it is this related to this change:
>> http://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24&id=254b9a4c540e3dff1dcd17db2ceea6a9fa5df973
>>
>> Does anyone want to try and test gtk with this patch reverted?
>
>Yes, I've tried it. And it works!

I can also confirm this. I reverted this commit from
libgtk2.0-0_2.24.5-2 and it fixes the issue for me, making the gnome
desktop usable again.




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Sun, 17 Jul 2011 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lubomír Sedlář <lubomir.sedlar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Sun, 17 Jul 2011 10:06:04 GMT) Full text and rfc822 format available.

Message #45 received at 633864@bugs.debian.org (full text, mbox):

From: Lubomír Sedlář <lubomir.sedlar@gmail.com>
To: 633864@bugs.debian.org
Subject: Re: Bug#633864: causes Evolution not to start
Date: Sun, 17 Jul 2011 12:03:25 +0200
This bug also makes Evolution fail to start. The window appears, but is
never fully drawn and Xorg starts using a lot CPU.

Reverting the gtk+ commit mentioned above fixes the issue for
gnome-panel as well as Evolution.





Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Mon, 18 Jul 2011 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Mon, 18 Jul 2011 15:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 633864@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 633864@bugs.debian.org
Subject: confirmation (about both bug and revert) + metadata fiddling
Date: Mon, 18 Jul 2011 17:12:17 +0200
[Message part 1 (text/plain, inline)]
severity 633864 serious
affects 633864 + gnome-panel evolution
thanks

On Thu, Jul 14, 2011 at 04:41:26PM +0200, Michael Biebl wrote:
> > However it is not, I think, a problem of gnome-panel, as is clear from this:
> > $ gnome-panel --replace
> > (gnome-panel:15635): Gdk-WARNING **:
> > /tmp/buildd/gtk+2.0-2.24.5/gdk/x11/gdkdrawable-x11.c:952 drawable is not a
> > pixmap or window

I've been hit by this today, after having been offline for a couple of
days (and hence not upgrading my sid laptop for ~3 days).

> Can you revert to the version from testing and confirm that it fixes
> your high CPU usage?

I haven't tried to revert the commit mentioned in this bug log, but I
have reverted libgtk2.0-0 (and friends packages) to 2.24.4-3 and I can
confirm that fixes the high CPU problem.

As agreed on #debian-gnome a minute ago, I'm hereby bumping severity (so
that the chances that others spot this _before_ upgrading are higher) as
well as marking it as affecting popular bug targets, such as gnome-panel
and evolution.

Thanks for maintaining GTK+ and related stacks!
Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'normal' Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 18 Jul 2011 15:15:05 GMT) Full text and rfc822 format available.

Added indication that 633864 affects gnome-panel and evolution Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 18 Jul 2011 15:15:06 GMT) Full text and rfc822 format available.

Forcibly Merged 632985 633573 633607 633864. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:35:01 GMT) Full text and rfc822 format available.

Forcibly Merged 632904 632985 633573 633607 633864. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 19 Jul 2011 17:39:26 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:16 GMT) Full text and rfc822 format available.

Notification sent to Domenico Cufalo <cufalo@gmail.com>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:17 GMT) Full text and rfc822 format available.

Message #63 received at 633864-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 633864-close@bugs.debian.org
Subject: Bug#633864: fixed in gtk+2.0 2.24.5-3
Date: Tue, 19 Jul 2011 19:18:05 +0000
Source: gtk+2.0
Source-Version: 2.24.5-3

We believe that the bug you reported is fixed in the latest version of
gtk+2.0, which is due to be installed in the Debian FTP archive:

gir1.2-gtk-2.0_2.24.5-3_i386.deb
  to main/g/gtk+2.0/gir1.2-gtk-2.0_2.24.5-3_i386.deb
gtk+2.0_2.24.5-3.debian.tar.gz
  to main/g/gtk+2.0/gtk+2.0_2.24.5-3.debian.tar.gz
gtk+2.0_2.24.5-3.dsc
  to main/g/gtk+2.0/gtk+2.0_2.24.5-3.dsc
gtk2-engines-pixbuf_2.24.5-3_i386.deb
  to main/g/gtk+2.0/gtk2-engines-pixbuf_2.24.5-3_i386.deb
gtk2.0-examples_2.24.5-3_i386.deb
  to main/g/gtk+2.0/gtk2.0-examples_2.24.5-3_i386.deb
libgail-common_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgail-common_2.24.5-3_i386.deb
libgail-dbg_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgail-dbg_2.24.5-3_i386.deb
libgail-dev_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgail-dev_2.24.5-3_i386.deb
libgail-doc_2.24.5-3_all.deb
  to main/g/gtk+2.0/libgail-doc_2.24.5-3_all.deb
libgail18_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgail18_2.24.5-3_i386.deb
libgtk2.0-0-dbg_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgtk2.0-0-dbg_2.24.5-3_i386.deb
libgtk2.0-0-udeb_2.24.5-3_i386.udeb
  to main/g/gtk+2.0/libgtk2.0-0-udeb_2.24.5-3_i386.udeb
libgtk2.0-0_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgtk2.0-0_2.24.5-3_i386.deb
libgtk2.0-bin_2.24.5-3_all.deb
  to main/g/gtk+2.0/libgtk2.0-bin_2.24.5-3_all.deb
libgtk2.0-common_2.24.5-3_all.deb
  to main/g/gtk+2.0/libgtk2.0-common_2.24.5-3_all.deb
libgtk2.0-dev_2.24.5-3_i386.deb
  to main/g/gtk+2.0/libgtk2.0-dev_2.24.5-3_i386.deb
libgtk2.0-doc_2.24.5-3_all.deb
  to main/g/gtk+2.0/libgtk2.0-doc_2.24.5-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633864@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated gtk+2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Jul 2011 19:42:18 +0200
Source: gtk+2.0
Binary: libgtk2.0-0 libgtk2.0-0-udeb libgtk2.0-common libgtk2.0-bin libgtk2.0-dev libgtk2.0-0-dbg libgtk2.0-doc gtk2.0-examples gtk2-engines-pixbuf gir1.2-gtk-2.0 libgail18 libgail-common libgail-dev libgail-dbg libgail-doc
Architecture: source all i386
Version: 2.24.5-3
Distribution: unstable
Urgency: low
Maintainer: Sebastien Bacher <seb128@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-gtk-2.0 - GTK+ graphical user interface library -- gir bindings
 gtk2-engines-pixbuf - pixbuf-based theme for GTK+ 2.x
 gtk2.0-examples - example files for GTK+ 2.0
 libgail-common - GNOME Accessibility Implementation Library -- common modules
 libgail-dbg - Gail libraries and debugging symbols
 libgail-dev - GNOME Accessibility Implementation Library -- development files
 libgail-doc - documentation files of the Gail library
 libgail18  - GNOME Accessibility Implementation Library -- shared libraries
 libgtk2.0-0 - GTK+ graphical user interface library
 libgtk2.0-0-dbg - GTK+ libraries and debugging symbols
 libgtk2.0-0-udeb - GTK+ graphical user interface library - minimal runtime (udeb)
 libgtk2.0-bin - programs for the GTK+ graphical user interface library
 libgtk2.0-common - common files for the GTK+ graphical user interface library
 libgtk2.0-dev - development files for the GTK+ library
 libgtk2.0-doc - documentation for the GTK+ graphical user interface library
Closes: 633864
Changes: 
 gtk+2.0 (2.24.5-3) unstable; urgency=low
 .
   * Revert "gdk: Make background changes queue a repaint" which causes
     excessive CPU usage in gnome-panel. Closes: #633864
Checksums-Sha1: 
 ce76fd4494d0fd289041568710898009caac4e1f 3189 gtk+2.0_2.24.5-3.dsc
 7dea91ef9281ea7d3897003e385b66759849b587 109114 gtk+2.0_2.24.5-3.debian.tar.gz
 aa2eed9b0ff08fb7970d408048327dc678259e1a 7218568 libgtk2.0-common_2.24.5-3_all.deb
 553cd764ce2ae7ec87adee19c9bd137ac6c2e8f4 438528 libgtk2.0-bin_2.24.5-3_all.deb
 edfa2814d56dc1adf5b8db3c817b0c00eed0d786 4057078 libgtk2.0-doc_2.24.5-3_all.deb
 44a31c334f9689b532decb51c8731036d586e508 444946 libgail-doc_2.24.5-3_all.deb
 ce3e6946f70fb0ef97a764bc1b9174f7d4b3ad7b 2697090 libgtk2.0-0_2.24.5-3_i386.deb
 2b1e31d6db701688a1b81015d65b91618749833d 2135928 libgtk2.0-0-udeb_2.24.5-3_i386.udeb
 3ffa1f09e5c0a657bc4004d92e31f61df5af6316 4075158 libgtk2.0-dev_2.24.5-3_i386.deb
 eb8a715206af442bc08ac1a4511861ee8c535d20 5999270 libgtk2.0-0-dbg_2.24.5-3_i386.deb
 91351bac08e7f96fd443f59a02e122b2b375aedc 1226710 gtk2.0-examples_2.24.5-3_i386.deb
 315ec4482ee03587d00d20cd02c1c3ee6e790377 948528 gtk2-engines-pixbuf_2.24.5-3_i386.deb
 4d275edc31349a27a57efd2a3ffbf88f27e906ac 673470 gir1.2-gtk-2.0_2.24.5-3_i386.deb
 728e601dd1a8ae727194a8d33ebd97e08b7e0410 445430 libgail18_2.24.5-3_i386.deb
 5e9f16e223da2cacefe3f0ba2359ddbb37085629 581832 libgail-common_2.24.5-3_i386.deb
 861316e0c4868e28c5c247025434949d3da274c9 446612 libgail-dev_2.24.5-3_i386.deb
 7ec2e818504e7f3a1710d0bddaa61d02fff4a3f2 1013454 libgail-dbg_2.24.5-3_i386.deb
Checksums-Sha256: 
 63b03f3adcb1b0a6e00283958d6fc146bb6bc1a0f739b4a04f18f5092d799c9c 3189 gtk+2.0_2.24.5-3.dsc
 731d3a3384be7a0754c7f427e10895c11fd7f40c4d1f144d5175dea722073164 109114 gtk+2.0_2.24.5-3.debian.tar.gz
 31fbaa76e2d526ce99d99f35402460c772fa9c82c1cb1d8463703f63784a6191 7218568 libgtk2.0-common_2.24.5-3_all.deb
 b2bc7b97487f4d9c308da2b9055589f44cafd9bd32f8bb9e66bbfb472c5d8f36 438528 libgtk2.0-bin_2.24.5-3_all.deb
 d47d42000ea11673d401277371ed7cdb6827b1f413b1e41085f4cecfbf6250e6 4057078 libgtk2.0-doc_2.24.5-3_all.deb
 2385da179d391c1977fabb541999e54126896c117490ed010925d09648666a82 444946 libgail-doc_2.24.5-3_all.deb
 bb636d9bd0abf148513fc726a28cf3bb9df47000635647344c07db832be08e02 2697090 libgtk2.0-0_2.24.5-3_i386.deb
 c9a1ebc292a6d20af374348f0d8183ab79a5fbebf5aa2c1fbd17b8405aab298a 2135928 libgtk2.0-0-udeb_2.24.5-3_i386.udeb
 355d6c606f89738822a8493fa2a374297286d168f61fe4cef3754de4ecde48e5 4075158 libgtk2.0-dev_2.24.5-3_i386.deb
 edac4df2406be9bfc060e4c9a0d98a5f4e4ce901b7b2519e49037cede24a402c 5999270 libgtk2.0-0-dbg_2.24.5-3_i386.deb
 fdb190817b3e5b78ddad7279d6b7d057c3f38b68f84b098b3efe22892d232d6f 1226710 gtk2.0-examples_2.24.5-3_i386.deb
 8e66dac422ee7bcd4ac61c31c19787069b99f3fe2bc30b1d5f1455c8286b0498 948528 gtk2-engines-pixbuf_2.24.5-3_i386.deb
 80fc75179241b473f0e76594e8840707b24d23f03632eb108d827020ec18db07 673470 gir1.2-gtk-2.0_2.24.5-3_i386.deb
 d17af4d64945146bb39f716ea2bbe8a10c527c2a757da7257f6d4c635843e970 445430 libgail18_2.24.5-3_i386.deb
 08bab288a9172527719eb7191fc3935b07413194f5787c7c1e3d1da4802bddc1 581832 libgail-common_2.24.5-3_i386.deb
 83c3e6a98d46f85c7febcf3c1d8b06607a2dcfc08af3463000707c9ed871560b 446612 libgail-dev_2.24.5-3_i386.deb
 8bdf875dfade7d2a9669d1efa633b42a2ac1789058d750de6523fbf436490f35 1013454 libgail-dbg_2.24.5-3_i386.deb
Files: 
 5a50773485a886c861f3ba67132e3e38 3189 libs optional gtk+2.0_2.24.5-3.dsc
 91f8fb0176f683fc71beb85b3ba5a9c2 109114 libs optional gtk+2.0_2.24.5-3.debian.tar.gz
 8d7f7508b0910695cc025f77fbcc8cb6 7218568 misc optional libgtk2.0-common_2.24.5-3_all.deb
 91d5b44c94da630c196ffca29d4a8a07 438528 misc optional libgtk2.0-bin_2.24.5-3_all.deb
 914f781dd9a39bde10e80d4f4ee43cbf 4057078 doc optional libgtk2.0-doc_2.24.5-3_all.deb
 b26d2d2c1f903aa23b18de551c9c0dcf 444946 doc optional libgail-doc_2.24.5-3_all.deb
 2c400ead656ff80e40a3b5d25535bd73 2697090 libs optional libgtk2.0-0_2.24.5-3_i386.deb
 6856b0aefe84c77023241ecce2650925 2135928 debian-installer extra libgtk2.0-0-udeb_2.24.5-3_i386.udeb
 37be88db04dab44d55575bc8f1a6e6cb 4075158 libdevel optional libgtk2.0-dev_2.24.5-3_i386.deb
 5bda43e89c1ab9d1961ad2cef9876986 5999270 debug extra libgtk2.0-0-dbg_2.24.5-3_i386.deb
 24dc8d1b90088f102da6c813879f79ee 1226710 x11 extra gtk2.0-examples_2.24.5-3_i386.deb
 21525cdc492487b9917d236996cc1cfc 948528 graphics optional gtk2-engines-pixbuf_2.24.5-3_i386.deb
 c54529a2565616dc32c379d0999e8ca1 673470 libs optional gir1.2-gtk-2.0_2.24.5-3_i386.deb
 e8e46f5093496849a02e540c8acdd8fd 445430 libs optional libgail18_2.24.5-3_i386.deb
 746c910fa3a760be29f2b2d4cca976fe 581832 libs optional libgail-common_2.24.5-3_i386.deb
 2c1ed5cc7d391572257587df1ec20457 446612 libdevel optional libgail-dev_2.24.5-3_i386.deb
 de22c0def3cc558d2264c0e9d0f6d0c4 1013454 debug extra libgail-dbg_2.24.5-3_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOJdWlAAoJEGrh3w1gjyLcF/gP/2eFmgHpKvQXkyUzqGbYoUJt
ccoNPVb7bz3fO1NufxT8M9tPEAST+QxCghSw0SrsIU4aFAOGk0S4RV7AjSnoE5qG
ECRjnBYS5983IemMEG0tx7jiaVr5M4Vb4nBfIsqNFoiJl4T4f7ETKBfc4sQE5ejn
eiNk6Wv4bVCQh204tQZjUUgJAwaZFdL4CXf2yfD1Nyz2FUbFM2qw6T3axSjdz7s6
0DrgREZk3P+NewneiDVIV6HFQ6RJMvT1/1s7I5ZC8f/V0Be3qpmA/ljnt4G81iZc
0li4mIZIOfSshu/QHJmps2fk7pZah3UE66LrIg21MOAsxkLHpz7aFHVn0trENYiO
foMyGu0xv+UbXPdBpzkhGADL9UDaarDqMizm6UlCRi4DfQ/V+yh1B4+0F2zw2N3w
4ttTgfbXNBFT9zFo7BNtRBw3k9AADwlEZznh1RjrrmVbiluZLrbGlh2OYRBhnQAb
NIhDb+C5WM4Wu5FxfsoJHbVP8MYFFCVs3G2xpMtVloXJqneB6FSqaY//Kr4FXGG7
2pezIpzT8dL+UwF0CNp4nnzaJm9mCJy8Pe1n8YKWcIytiTkI5NVb7nJIxmFNaMbP
Wc2jn4XiKmun1gn1FemJ7FOhFd0ITvWIV7WRQBQ6tzc2J5g9Ivd4BuUtYi2xjcpc
qOdR91l3yrCYtZZ+Cu8I
=mC7Q
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:18 GMT) Full text and rfc822 format available.

Notification sent to shirish शिरीष <shirishag75@gmail.com>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:19 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:20 GMT) Full text and rfc822 format available.

Notification sent to Julio Mendoza <julio@eemsystems.com>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:20 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:23 GMT) Full text and rfc822 format available.

Notification sent to moka <moka.xyz@gmail.com>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:23 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 19 Jul 2011 19:21:24 GMT) Full text and rfc822 format available.

Notification sent to Gary Koskenmaki <garywk@cableone.net>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 19:21:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#633864; Package libgtk2.0-0. (Thu, 21 Jul 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michele Porelli <linux571@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. (Thu, 21 Jul 2011 07:42:03 GMT) Full text and rfc822 format available.

Message #88 received at 633864@bugs.debian.org (full text, mbox):

From: Michele Porelli <linux571@gmail.com>
To: 633864@bugs.debian.org
Subject: Trasparency works but is not tunable
Date: Thu, 21 Jul 2011 09:38:53 +0200
[Message part 1 (text/plain, inline)]
This bug seem partially fixed, now gnome-panel loads fine with trasparency
actived; however the opacity level can't be tuned.
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Aug 2011 07:32:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:26:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.